クレジット決済エラー画面が表示されない?

2016 年 7 月 26 日

ホーム フォーラム バグ報告 クレジット決済エラー画面が表示されない?

このトピックには6件の返信が含まれ、3人の参加者がいます。1 年、 4 ヶ月前 iiemon さんが最後の更新を行いました。

7件の投稿を表示中 - 1 - 7件目 (全7件中)
  • 投稿者
    投稿
  • #79788

    hirochan
    参加者

    ——————————————-
    WordPress のバージョン: 4.5.3
    Welcart のバージョン: 1.8.7
    ご利用のテーマ: Welcart Basic 1.2.1 及び Welcart Default Theme 1.3
    症状を確認したブラウザ: Firefox 47、Google Chrome 52、IE11
    サーバー(会社名、サービス名):Sixcore
    SSLの利用: あり
    WordPress のパーマリンク設定:投稿ID (カスタム構造)
    ——————————————–

    Welcart 1.8.7への更新後に遭遇した事象です。

    不正なクレジットカード情報を入力して注文を行った際、wc_cart_error_page.phpのエラー表示が行われると思うのですが、1.8.7へのアップデート以降、エラー画面を表示せずトップ画面へ遷移してしまいます。

    自作テーマと別にWelcart Basic、デフォルトテーマでも確認したところ、同様の挙動でありました。
    Welcart 1.8.6のファイルが手元に残っておりましたのでバージョンを戻しましたところ、改善されましたので不具合と判断いたしました。

    よろしくお願いいたします。

    #79789

    yskysmr
    キーマスター

    こんにちは。

    決済会社は何をお使いでしょうか。

    #79790

    hirochan
    参加者

    yskysmr様

    早速のご対応ありがとうございます。
    決済はソニーペイメントのe-scott smartを利用しております。

    #79797

    yskysmr
    キーマスター

    hirochan 様

    仰るとおりの症状を確認いたしました。ご報告ありがとうございました。Development Version にて修正が完了しましたので、大変お手数ですが、Development Version にアップデートしてご確認いただけますでしょうか。ご不便をおかけしまして、申し訳ございません。どうぞよろしくお願いいたします。

    #79814

    iiemon
    参加者

    ——————————————-
    WordPress のバージョン:4.5.3
    Welcart のバージョン:1.8.7.1607252
    ご利用のテーマ:Welcart Earth
    症状を確認したブラウザ:Google Chrome 52、Firefox 47
    サーバー(会社名、サービス名):さくら
    SSLの利用:あり
    WordPress のパーマリンク設定:投稿名
    ——————————————–
    こんにちは。
    e-scott smartのテスト環境を現在利用しており、hirochan様と同じ症状が出ていました。
    Development Version 1.8.7 にアップデートして確認したのですが、まだ同様の事象が発生します。
    下記の方法でアップデートいたしました。

    Development Version にアップグレードする方法

    管理画面では決済エラーが発生した旨表示がされています。
    キャッシュクリアや再度の削除→アップデートなど試してみたのですが、状況が変わりません。

    お手数ですが、どうぞよろしくお願いいたします。

    #79822

    yskysmr
    キーマスター

    iiemon 様

    Development Version の現時点(2016/7/29 10:00)でのリビジョン番号は 1.8.7.1607281 になりますが、ご確認いただけますでしょうか。

    #79825

    iiemon
    参加者

    yskysmr様

    ご教示いただいた内容で解決しました。お手数おかけいたしました、ありがとうございます。

7件の投稿を表示中 - 1 - 7件目 (全7件中)

このトピックに返信するにはログインが必要です。